Opengram

Get unread messages summary

GET
/api/v1/chats/unread-summary

Authorization

bearerAuth
AuthorizationBearer <token>

Instance secret token

In: header

Query Parameters

archived?string

Filter by archive status

Value in"true" | "false"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/chats/unread-summary"
{
  "total_unread": 0,
  "unread_by_agent": {
    "property1": 0,
    "property2": 0
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request.",
    "details": null
  }
}